function indat=inst_defs(instname)
%set maps params
if strcmp(instname,'merlin')
    indat.inst='MER';
    indat.map_file='1to1.map';
    indat.mon_mapfile='merlin_monitors.map';
%    indat.mon_mapfile='';
    indat.hardmask='4to1.msk';
    indat.datadir='C:\libisis_svn\tests\merlin_files\';
    indat.mapdir='C:\libisis_svn\tests\merlin_files\';
    indat.maskdir='C:\libisis_svn\tests\merlin_files\';
    indat.spefilename='';
    indat.spedir='C:\libisis_svn\tests\merlin_files\';
    indat.paramdir='C:\libisis_svn\tests\merlin_files\';
    indat.scalefactor=1.7016e8;
    %% Input files
    indat.run_num_mono='';
    indat.white_file_mono='';
    indat.white_file='';
    indat.run_num='';
    indat.sum_files=0;
    %% white beam settings
    indat.wb_int=[400,500];
    indat.wb_units='$e';
    %% Monchromatic parameters
    indat.mono.d_units='$w';
    indat.d_units='$w';
    indat.mv_units='$w';
    indat.mv_mapfile='';
    indat.mv_mask=1;
    indat.mv_sum_files=0;
    indat.energy_method='ei';
    indat.ei_init=50;
    indat.norm_method=1;
    indat.choppertype='sloppy';
    %% background integration limits
    indat.background_default=[12000,18000];
    indat.background=[];
    indat.range=[1000,2000];
    %% Diag parameters
    indat.VLOW=0.1;
    indat.VHIGH=1.5;
    indat.FACTOR=2.0;
    indat.STAB=10.0;
    indat.ZERO_BKGD=false;
    %% mono van parameters
    indat.mono_van_int_lim=[-1 1];
    indat.mono_van_units='$w';
    indat.vmass=30.1;
    indat.vrmm=50.9415;
    indat.mono_van_mask='';

    %% run file --> spe file parameters
    indat.do_absolute=0;

    indat.run_mask='';
    indat.spe_rebin_lims=[];
    indat.samp_mass=1;
    indat.samp_rmm=1;
end
%set mari params
if strcmp(instname,'mar')
    %% How set the defaults as the structure indat
    %% general parameters
    indat.inst='MAR';
    indat.map_file='mari_res.map';
    indat.mon_mapfile='';    
    indat.hardmask='';
    indat.datadir='C:\libisis_svn\tests\mari_files\';
    indat.mapdir='C:\libisis_svn\tests\mari_files\';
    indat.maskdir='C:\libisis_svn\tests\mari_files\';
    indat.spefilename='';
    indat.spedir='C:\libisis_svn\tests\mari_files\';
    indat.paramdir='C:\libisis_svn\tests\mari_files\';
    indat.scalefactor=1.8182e8;
    %% Input files
    indat.run_num_mono='';
    indat.white_file_mono='';
    indat.white_file='';
    indat.run_num='';
    indat.sum_files=0;
    %% white beam settings
    indat.wb_int=[20,40];
    indat.wb_units='$e';
    %% Monchromatic parameters
    indat.mono.d_units='$w';
    indat.d_units='$w';
    indat.mv_units='$w';
    indat.mv_mapfile='mari_res.map';
    indat.mv_mask=2;
    indat.mv_sum_files=0;
    indat.energy_method='ei';
    indat.ei_init=50;
    indat.norm_method=1;
    indat.choppertype='sloppy';
    %% background integration limits
    indat.background_default=[18000,19500];
    indat.background=[];
    indat.range=[1000,2000];
    %% Diag parameters
    indat.VLOW=0.1;
    indat.VHIGH=3.0;
    indat.FACTOR=5.0;
    indat.STAB=0.0;
    indat.ZERO_BKGD=false;
    %% mono van parameters
    indat.mono_van_int_lim=[-1 1];
    indat.mono_van_units='$w';
    indat.vmass=32.58;
    indat.vrmm=50.9415;
    indat.mono_van_mask='';

    %% run file --> spe file parameters
    indat.do_absolute=0;

    indat.run_mask='';
    indat.spe_rebin_lims=[];
    indat.samp_mass=1;
    indat.samp_rmm=1;
end

%set maps params
if strcmp(instname,'maps')
    indat.inst='MAP';
    indat.map_file='4to1.map';
    indat.mon_mapfile='';    
    indat.hardmask='4to1_022.msk';
    indat.datadir='C:\libisisexc\tests\maps_files\';
    indat.mapdir='C:\libisisexc\tests\maps_files\';
    indat.maskdir='C:\libisisexc\tests\maps_files\';
    indat.spefilename='';
    indat.spedir='C:\libisisexc\tests\maps_files\';
    indat.paramdir='C:\libisisexc\tests\maps_files\';
    indat.scalefactor=1.7016e8;
    %% Input files
    indat.run_num_mono='';
    indat.white_file_mono='';
    indat.white_file='';
    indat.run_num='';
    indat.sum_files=0;
    %% white beam settings
    indat.wb_int=[20,300];
    indat.wb_units='$e   ';
    %% Monchromatic parameters
    indat.mono.d_units='$w';
    indat.d_units='$w';
    indat.mv_units='$w';
    indat.mv_mapfile='mid_tubes.map';
    indat.mv_mask=1;
    indat.mv_sum_files=0;
    indat.energy_method='ei';
    indat.ei_init=50;
    indat.norm_method=1;
    indat.choppertype='sloppy';
    %% background integration limits
    indat.background_default=[12000,18000];
    indat.background=[];
    indat.range=[1000,2000];
    %% Diag parameters
    indat.VLOW=0.1;
    indat.VHIGH=1.5;
    indat.FACTOR=2.0;
    indat.STAB=10.0;
    indat.ZERO_BKGD=false;
    %% mono van parameters
    indat.mono_van_int_lim=[-1 1];
    indat.mono_van_units='$w';
    indat.vmass=30.1;
    indat.vrmm=50.9415;
    indat.mono_van_mask='';

    %% run file --> spe file parameters
    indat.do_absolute=0;

    indat.run_mask='';
    indat.spe_rebin_lims=[];
    indat.samp_mass=1;
    indat.samp_rmm=1;
end
%set mari params
if strcmp(instname,'het')
    %% How set the defaults as the structure indat
    %% general parameters
    indat.inst='HET';
    indat.map_file='rings_het.map';
    indat.mon_mapfile='';
    indat.hardmask='het_991.msk';
    indat.datadir='C:\libisisexc\tests\het_files\';
    indat.mapdir='C:\libisisexc\tests\het_files\';
    indat.maskdir='C:\libisisexc\tests\het_files\';
    indat.spefilename='';
    indat.spedir='C:\het_spe\';
    indat.paramdir='C:\libisisexc\tests\het_files\';
    indat.scalefactor=1.7016e8;
    %% Input files
    indat.run_num_mono='';
    indat.white_file_mono='';
    indat.white_file='';
    indat.run_num='';
    indat.sum_files=0;
    %% white beam settings
    indat.wb_int=[20,40];
    indat.wb_units='$e';
    %% Monchromatic parameters
    indat.mono.d_units='$w';
    indat.d_units='$w';
    indat.mv_units='$w';
    indat.mv_mapfile='rings_het.map';
    indat.mv_mask=2;
    indat.mv_sum_files=0;
    indat.energy_method='ei';
    indat.ei_init=50;
    indat.norm_method=1;
    indat.choppertype='sloppy';
    %% background integration limits
    indat.background_default=[12000,18000];
    indat.background=[];
    indat.range=[1000,2000];
    %% Diag parameters
    indat.VLOW=0.1;
    indat.VHIGH=3.0;
    indat.FACTOR=2.0;
    indat.STAB=10.0;
    indat.ZERO_BKGD=false;
    %% mono van parameters
    indat.mono_van_int_lim=[-1 1];
    indat.mono_van_units='$w';
    indat.vmass=32.58;
    indat.vrmm=50.9415;
    indat.mono_van_mask='';

    %% run file --> spe file parameters
    indat.do_absolute=0;

    indat.run_mask='';
    indat.spe_rebin_lims=[];
    indat.samp_mass=1;
    indat.samp_rmm=1;
end


