function  mhead(run_numbers)
% head(run_number)
%
% returns the header information in sequence for the raw files defined by the
% run_numbers, or paths to  raw files 
%
% run numbers can be defnied in the following ways:
% 1) a numerical array of numbers -> [12345  45673 34436] or a single
% numeric
% 2) an array of strings -> char('12345' '45673' '34436') or a single
% string
% 3) a cell array of strings -> {'12345' '45673' '34436'}
% 4) a cell array of numerics -> {12345  45673 34436}
% 5) or a path to a particular raw file -> 'C:\data\MAR11060.RAW' or a cell
% array of paths
%
% See also head
[files,num]=make_path_from_par({run_numbers});

for i=1:num
%    disp(sprintf('\ndatafile %s',files{i}))
    head(files{i});
end
